Bug 1419231 - Compute Theme: Flexible SR-IOV
Summary: Compute Theme: Flexible SR-IOV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: nova-maint
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1647536 1791991 1366208 1378151 1396432 1446311 1561961 1650606 1757886 1775575 1775576 1783354
Blocks: 1732816
TreeView+ depends on / blocked
 
Reported: 2017-02-04 02:05 UTC by Stephen Gordon
Modified: 2020-01-16 20:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-15 09:29:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Gordon 2017-02-04 02:05:04 UTC
Description of problem:

1) The original SR-IOV locality implementation in Nova strictly enforces that if you are using an SR-IOV VF or PF and the NUMA filtering that the device must be attached to the same NUMA node(s) as the guest vCPUs. If no NUMA node with an appropriate device attached is available scheduling fails. Several customers have reported that while they would prefer NUMA locality they would not prefer it over scheduling at all.

2) In Newton support was added for VLAN aware virtual machines. This allows the parsing of a VLAN trunk and its subports to a instance, but the instantiation of the subports’ VLAN interfaces inside the guest is not automatic and there is no easy way to pass information about them to the instance.

3) Certain NFV workloads require the ability to perform trusted operations on a virtual function, such as enabling promiscuous mode or modifying the MAC address within the guest. This feature is available at the kernel, qemu, and libvirt level but is not exposed by OpenStack. Customers are able to workaround the lack of exposure at the OpenStack level manually but there is a danger that such workarounds may break in the future.

Comment 2 Stephen Gordon 2017-03-09 16:19:38 UTC
Tracker for multi-release theme.

Comment 3 Stephen Gordon 2017-07-24 19:00:58 UTC
Tracking bug, release flags don't apply.

Comment 6 Matthew Booth 2019-10-15 09:29:46 UTC
I am closing this bug as it has not been addressed for a very long time. Please feel free to reopen if it is still relevant.


Note You need to log in before you can comment on or make changes to this bug.